Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.meta
Class AbstractMapFieldMapping.LRSProxyMap

    java.lang.Object
      |
      +--kodo.util.AbstractLRSProxyMap
            |
            +--kodo.jdbc.meta.AbstractMapFieldMapping.LRSProxyMap

All Implemented Interfaces:
  ChangeTracker, LRSProxy, Map, org.apache.commons.collections.Predicate, Proxy

Enclosing class:
  AbstractMapFieldMapping

protected class AbstractMapFieldMapping.LRSProxyMap
extends AbstractLRSProxyMap

Large result set map.

Inner classes inherited from class java.util.Map
`Map.Entry`

Constructor Summary
`AbstractMapFieldMapping.LRSProxyMap()`

Method Summary
`protected int` | `count()` Return the number of entries in the map, or `Integer.MAX_VALUE`.
`protected boolean` | `hasKey(Object key)` Return whether the given key exists in the map.
`protected Iterator` | `itr()` Implement this method to return an iterator over the entries in the map.
`protected Collection` | `keys(Object val)` Return all keys for the given value.
`protected Object` | `value(Object key)` Return the value of the given key.

Methods inherited from class kodo.util.AbstractLRSProxyMap
`added, changed, clear, containsKey, containsValue, copy, entrySet, evaluate, get, getAdded, getChanged, getChangeTracker, getNextSequence, getOwner, getOwnerField, getRemoved, isEmpty, isTracking, keySet, put, putAll, remove, removed, setNextSequence, setOwner, size, startTracking, stopTracking, values, writeReplace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### AbstractMapFieldMapping.LRSProxyMap

    public AbstractMapFieldMapping.LRSProxyMap()

Method Detail

### count

    protected int count()

  Description copied from class: `AbstractLRSProxyMap`
  Return the number of entries in the map, or `Integer.MAX_VALUE`.
  Overrides:
    `count` in class `AbstractLRSProxyMap`

### hasKey

    protected boolean hasKey(Object key)

  Description copied from class: `AbstractLRSProxyMap`
  Return whether the given key exists in the map.
  Overrides:
    `hasKey` in class `AbstractLRSProxyMap`

### keys

    protected Collection keys(Object val)

  Description copied from class: `AbstractLRSProxyMap`
  Return all keys for the given value.
  Overrides:
    `keys` in class `AbstractLRSProxyMap`

### value

    protected Object value(Object key)

  Description copied from class: `AbstractLRSProxyMap`
  Return the value of the given key.
  Overrides:
    `value` in class `AbstractLRSProxyMap`

### itr

    protected Iterator itr()

  Description copied from class: `AbstractLRSProxyMap`
  Implement this method to return an iterator over the entries in the map. Each returned object must implement the `Map.Entry` interface. This method may be invoked multiple times. The iterator does not have to support the `Iterator.remove()` method, and may implement `Closeable`.
  Overrides:
    `itr` in class `AbstractLRSProxyMap`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.